using System;
using System.Linq;

using BS.Shared;
using BS.Shared.Core;

using BeWo.Data.Access;
using BeWo.Data.Entities;
using BeWo.Report;
using BeWo.Report.ReportObjects;


namespace AidsInitiativeBonn
{
    public partial class PruefbogenEinzelfallBericht2 : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<QueryRO>
    {

        public PruefbogenEinzelfallBericht2()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(QueryRO pRO)
        {
            //var reportDate = DateTime.Parse(pRO.Rows[0].Field1.ToString());
            var reportDate = new DateTime(DateTime.Now.Year, 1, 1);

            if (pRO.Rows != null)
            {
                DateTime dt;
                if (DateTime.TryParse(pRO.Rows[0].Field1.ToString(), out dt))
                {
                    reportDate = new DateTime(dt.Year, 1, 1);


                }


                Customer cust = DAOFactory.GenericDAO.LoadByID<Customer>(10);

                //foreach (var vv in cust.VarFieldValueList)
                //{
                //    var type = Type.GetType(vv.TypeName);
                //    var label = Utils.XMLDeserializeFromString(vv.SerializedValue, type).ToString();

                //    switch (vv.VarFieldDefOid)
                //    {

                //case 1:

            }
        }

    }
}
